PerfRunData (Lucene 2.4.1 API)
Keywords: org.apache.lucene.benchmark.byTask.PerfRunData class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.benchmark.byTask
Class PerfRunData

    java.lang.Object
      org.apache.lucene.benchmark.byTask.PerfRunData

    public class PerfRunData

extends Object

Data maintained by a performance test run.

Data includes:

- Configuration.
- Directory, Writer, Reader.
- Docmaker and a few instances of QueryMaker.
- Analyzer.
- Statistics data which updated during the run.

Config properties: work.dir=<path to root of docs and index dirs| Default: work>

Constructor Summary
`PerfRunData(Config config)`

Method Summary
`Analyzer` | `getAnalyzer()`
`Config` | `getConfig()`
`Directory` | `getDirectory()`
`DocMaker` | `getDocMaker()`
`HTMLParser` | `getHtmlParser()`
`IndexReader` | `getIndexReader()`
`IndexWriter` | `getIndexWriter()`
`Points` | `getPoints()`
`QueryMaker` | `getQueryMaker(ReadTask readTask)`
`long` | `getStartTimeMillis()`
`void` | `reinit(boolean eraseIndex)`
`void` | `resetInputs()`
`void` | `setAnalyzer(Analyzer analyzer)`
`void` | `setDirectory(Directory directory)`
`void` | `setIndexReader(IndexReader indexReader)`
`void` | `setIndexWriter(IndexWriter indexWriter)`
`long` | `setStartTimeMillis()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PerfRunData

    public PerfRunData(Config config)
                throws Exception

Throws:
  `Exception`

Method Detail

### reinit

    public void reinit(boolean eraseIndex)
                throws Exception

  Throws:
    `Exception`

### setStartTimeMillis

    public long setStartTimeMillis()

### getStartTimeMillis

    public long getStartTimeMillis()

  Returns:
    Start time in milliseconds

### getPoints

    public Points getPoints()

  Returns:
    Returns the points.

### getDirectory

    public Directory getDirectory()

  Returns:
    Returns the directory.

### setDirectory

    public void setDirectory(Directory directory)

  Parameters:
    `directory` - The directory to set.

### getIndexReader

    public IndexReader getIndexReader()

  Returns:
    Returns the indexReader.

### setIndexReader

    public void setIndexReader(IndexReader indexReader)

  Parameters:
    `indexReader` - The indexReader to set.

### getIndexWriter

    public IndexWriter getIndexWriter()

  Returns:
    Returns the indexWriter.

### setIndexWriter

    public void setIndexWriter(IndexWriter indexWriter)

  Parameters:
    `indexWriter` - The indexWriter to set.

### getAnalyzer

    public Analyzer getAnalyzer()

  Returns:
    Returns the anlyzer.

### setAnalyzer

    public void setAnalyzer(Analyzer analyzer)

### getDocMaker

    public DocMaker getDocMaker()

  Returns:
    Returns the docMaker.

### getConfig

    public Config getConfig()

  Returns:
    Returns the config.

### resetInputs

    public void resetInputs()

### getQueryMaker

    public QueryMaker getQueryMaker(ReadTask readTask)

  Returns:
    Returns the queryMaker by read task type (class)

### getHtmlParser

    public HTMLParser getHtmlParser()

  Returns:
    Returns the htmlParser.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.